image: python

# Change pip's cache directory to be inside the project directory since we can
# only cache local items.
variables:
  PIP_CACHE_DIR: "$CI_PROJECT_DIR/.cache"

# Pip's cache doesn't store the python packages
# https://pip.pypa.io/en/stable/reference/pip_install/#caching
#
# If you want to also cache the installed packages, you have to install
# them in a virtualenv and cache it as well.
cache:
  paths:
    - .cache/pip

stages:
- test

before_script:
- uname -a
- apt-get update && apt install -y libgl1-mesa-glx
- pip install -e .[dev]

linting:
  image: python:3.9
  tags:
  - passoft
  stage: test
  script:
  - flake8 --ignore=F403,F405,F821,F841,W504 mseedpeek
  - flake8 tests

python3.9:
  image: python:3.9
  tags:
  - passoft
  stage: test
  script:
  - python -m unittest
